﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="WebApplication1.WebForm1" %>

<%@ Register Assembly="Infragistics4.Web.v13.2, Version=13.2.20132.2028, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.Web.UI.ListControls" tagprefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v13.2, Version=13.2.20132.2028, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.Web.UI.GridControls" tagprefix="ig" %>
<%@ Register Assembly="Infragistics4.WebUI.UltraWebChart.v13.2, Version=13.2.20132.2028, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.WebUI.UltraWebChart" tagprefix="igchart" %>
<%@ Register Assembly="Infragistics4.WebUI.UltraWebChart.v13.2, Version=13.2.20132.2028, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.UltraChart.Resources.Appearance" tagprefix="igchartprop" %>
<%@ Register Assembly="Infragistics4.WebUI.UltraWebChart.v13.2, Version=13.2.20132.2028, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.UltraChart.Data" tagprefix="igchartdata" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title></title>
    <style>
        .*
        {
            font-family: Segoe UI, Meiryo;
        }
        .main
        {
            background-color:#D0D0D0;
        }
        .header
        {
            font-size:36px;
            color:white;
            background-color:#0C3878;
            padding:5px
        }
        
        .RightAlign
        {
            text-align:right !important;
        }

        /*Modern UIのイメージボタン*/
        .m-btn:hover {
            background-color: #222222;
            background-image: -moz-linear-gradient(center top , #555555, #555555);
        }
        .m-btn {
            background-color: #555555;
            background-image: -moz-linear-gradient(center top , #555555, #555555);
            background-repeat: repeat-x;
            border: 0 none;
            color: #FFFFFF;
            cursor: pointer;
            display: inline-block;
            font-family: "Segoe UI",Helvetica,Arial,sans-serif;
            font-size: 14px;
            line-height: 14px;
            margin: 2px 0 0;
            min-width: 42px;
            outline: 0 none;
            overflow: visible;
            padding: 7px 10px;
            position: relative;
            text-align: center;
            text-decoration: none;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
    <div class="header">
        <span>サンプル画面</span>
    </div>
    <div class="main">
        <table style="">
            <tr>
                <td>
                    <table>
                        <tr>
                            <td style="text-align:right">
                                <span>チャートタイプの選択：</span>
                            </td>
                            <td>
                                <ig:WebDropDown ID="WebDropDown1" runat="server" Height="20px" Width="220px" AutoPostBack="True">
                                    <AutoPostBackFlags SelectionChanged="On" />
                                    <Items>
                                    <ig:DropDownItem Value="StackColumnChart" Text="積層柱状グラフ" Selected="True"></ig:DropDownItem>
                                    <ig:DropDownItem Value="Stack3DColumnChart" Text="積層柱状グラフ（3D）"></ig:DropDownItem>
                                    <ig:DropDownItem Value="StackAreaChart" Text="積層エリアグラフ"></ig:DropDownItem>
                                    <ig:DropDownItem Value="AreaChart3D" Text="エリアグラフ（3D）"></ig:DropDownItem>
                                    <ig:DropDownItem Value="LineChart" Text="折れ線グラフ"></ig:DropDownItem>
                                    <ig:DropDownItem Value="LineChart3D" Text="折れ線グラフ（3D）"></ig:DropDownItem>
                                    </Items>
                                </ig:WebDropDown>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                                        <igchart:UltraChart ID="UltraChart1" runat="server" EmptyChartText="利用可能なデータがありません。 Data.DataSource に有効なデータソースを設定した後、UltraChart.Data.DataBind() を呼び出してください。" Version="12.2"
                        Width="800px" Height="250px" OnChartDataClicked="UltraChart1_ChartDataClicked" OnChartDataDoubleClicked="UltraChart1_ChartDataDoubleClicked">
                    </igchart:UltraChart>
                    &nbsp;</td>
            </tr>
            <tr>
                <td>
                    <ig:WebExcelExporter ID="WebExcelExporter1" runat="server">
                    </ig:WebExcelExporter>
                    <ig:WebDocumentExporter ID="WebDocumentExporter1" runat="server">
                    </ig:WebDocumentExporter>
                    <ig:WebDataGrid ID="WebDataGrid1" runat="server" Height="250px" Width="800px" AutoGenerateColumns="False" OnInitializeRow="WebDataGrid1_InitializeRow" OnDataFiltered="WebDataGrid1_DataFiltered">
                        <Columns>
                            <ig:BoundDataField DataFieldName="Date" Key="Date" Header-Text="Date" Width="140px">
<Header Text="Date"></Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="column1" Key="column1" Header-Text="column1">
<Header Text="column1"></Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="column2" Key="column2" Header-Text="column2">
<Header Text="column2"></Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="column3" Key="column3" Header-Text="column3">
<Header Text="column3"></Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="column4" Key="column4" Header-Text="column4">
<Header Text="column4"></Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="column5" Key="column5" Header-Text="column5">
<Header Text="column5"></Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="column6" Key="column6" Header-Text="column6">
<Header Text="column6"></Header>
                            </ig:BoundDataField>
                        </Columns>
                        <Behaviors>
                            <ig:Activation>
                            </ig:Activation>
                            <ig:Clipboard>
                            </ig:Clipboard>
                            <ig:Selection CellClickAction="Row" CellSelectType="Multiple" RowSelectType="Multiple">
                            </ig:Selection>
                            <ig:EditingCore>
                            </ig:EditingCore>
                            <ig:Sorting AscendingImageAltText="昇順画像" DescendingImageAltText="降順画像">
                            </ig:Sorting>
                            <ig:Filtering>
                            </ig:Filtering>
                            <ig:SummaryRow>
                                <%--<ColumnSummaries>
                                    <ig:ColumnSummaryInfo ColumnKey="column1"><Summaries><ig:Summary SummaryType="Sum" /></Summaries></ig:ColumnSummaryInfo>
                                    <ig:ColumnSummaryInfo ColumnKey="column2"><Summaries><ig:Summary SummaryType="Sum" /></Summaries></ig:ColumnSummaryInfo>
                                    <ig:ColumnSummaryInfo ColumnKey="column3"><Summaries><ig:Summary SummaryType="Sum" /></Summaries></ig:ColumnSummaryInfo>
                                    <ig:ColumnSummaryInfo ColumnKey="column4"><Summaries><ig:Summary Summary　Type="Sum" /></Summaries></ig:ColumnSummaryInfo>
                                    <ig:ColumnSummaryInfo ColumnKey="column5"><Summaries><ig:Summary SummaryType="Sum" /></Summaries></ig:ColumnSummaryInfo>
                                    <ig:ColumnSummaryInfo ColumnKey="column6"><Summaries><ig:Summary SummaryType="Sum" /></Summaries></ig:ColumnSummaryInfo>
                                </ColumnSummaries>--%>
                                <ColumnSettings>
                                    <ig:SummaryRowSetting ColumnKey="Date" ShowSummaryButton="False">
                                    </ig:SummaryRowSetting>
                                </ColumnSettings>
                            </ig:SummaryRow>
                            <ig:ColumnMoving>
                            </ig:ColumnMoving>
                            <ig:ColumnResizing>
                            </ig:ColumnResizing>
<%--                            <ig:ColumnFixing>
                            </ig:ColumnFixing>--%>
                        </Behaviors>
                    </ig:WebDataGrid>

                </td>
            </tr>
            <tr>
                <td>
                    <div style="margin-top:5px">
                        <asp:LinkButton ID="LinkButton1" runat="server" OnClick="LinkButton1_Click" CssClass="m-btn black">Excel出力</asp:LinkButton>
                        &nbsp;
                        <asp:LinkButton ID="LinkButton2" runat="server" OnClick="LinkButton2_Click" CssClass="m-btn black">PDF出力</asp:LinkButton>
                    </div>
                </td>
            </tr>
        </table>
    
    </div>
    </form>
</body>
</html>
